// routes/cuttingPlanRoutes.js
const express = require('express');
const router = express.Router();
const cuttingPlanController = require('../controllers/cuttingPlanController');

// CREATE
router.post('/', cuttingPlanController.createCuttingPlan);

// READ ALL
router.get('/', cuttingPlanController.getAllCuttingPlans);

// READ ONE
router.get('/:cutting_plan_id', cuttingPlanController.getCuttingPlanById);

// UPDATE
router.put('/:cutting_plan_id', cuttingPlanController.updateCuttingPlan);

// DELETE
router.delete('/:cutting_plan_id', cuttingPlanController.removeCuttingPlan);

module.exports = router;